LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::awt::FontPitch Constant Group Referencepublished

These values are used to specify whether the width of a character is fixed or variable. More...

## Variables
const short | DONTKNOW = 0
| specifies that the pitch for this font is unknown. More...
const short | FIXED = 1
| specifies a font with a fixed character width. More...
const short | VARIABLE = 2
| specifies a font with a variable character width. More...

## Detailed Description

These values are used to specify whether the width of a character is fixed or variable.

They may be expanded in future versions.

## Variable Documentation

## ◆ DONTKNOW

const short DONTKNOW = 0

specifies that the pitch for this font is unknown.

## ◆ FIXED

const short FIXED = 1

specifies a font with a fixed character width.

## ◆ VARIABLE

const short VARIABLE = 2

specifies a font with a variable character width.